#
# spec file for package python-jupyter_ipdb
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-jupyter_ipdb
Version:        0.11
Release:        2.1
License:        BSD-3-Clause
Summary:        IPython-enabled pdb
Url:            https://github.com/gotcha/ipdb
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/i/ipdb/ipdb-%{version}.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module jupyter_ipython}
BuildRequires:  fdupes
BuildArch:      noarch
Requires(post):    update-alternatives
Requires(postun):  update-alternatives

%python_subpackages

%description
ipdb exports functions to access the IPython_ debugger, which features
tab completion, syntax highlighting, better tracebacks, better
introspection with the same interface as the `pdb` module.


%prep
%setup -q -n ipdb-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
mv -v %{buildroot}%{_bindir}/ipdb{,-%{python2_bin_suffix}}
mv -v %{buildroot}%{_bindir}/ipdb{3,-%{python3_bin_suffix}}
%prepare_alternative ipdb

%post
%python_install_alternative ipdb

%postun
%python_uninstall_alternative ipdb

%files %{python_files}
%python_alternative %{_bindir}/ipdb
%{python_sitelib}/*

%changelog
* Fri Jan 18 2019 mcepl@suse.com
- Initial packaging effort for 0.11
